
public class Austauschstudent extends Student{
    private String land = null;

    public Austauschstudent(String land, String vorname, 
    String nachname, int geburtsjahr, String studiengang, 
    int matrikelnummer){
        super(vorname, nachname, geburtsjahr, studiengang, matrikelnummer);
        this.land = land;
    }

    // geht auch ohne super, trotzdem sinnvoll anzugeben
    public Austauschstudent(){
        super();
    }

    @Override
    public int zaehlenAlsAustauschstudent(){
        return 1;
    }

    public String gruss(){
        if(this.land.equals("USA")){
            return "Howdy " + super.vorname;
        }
        if(this.land.equals("OSF")){
            return "Moin " + super.vorname;
        }
        return "Hello "+super.vorname;
    }

    @Override
    public String toString(){
        return super.vorname + " " + super.nachname + " ("
        + this.land + "): " + super.studiengang;
    }

    /* ohne Nutzung von protected
    @Override
    public String toString(){
    return super.getVorname()+" "+super.getNachname()+" ("
    +this.land+"): "+super.getStudiengang();
    }
     */

    public String getLand() {
        return land;
    }

    public void setLand(String land) {
        this.land = land;
    }

}
